xml-1.3.12: A simple XML library.

Portability | portability
Stability | provisional
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Safe Haskell | Safe-Inferred

Text.XML.Light

Description

A lightweight XML parsing, filtering and generating library.

This module reexports functions from:

- Text.XML.Light.Types
- Text.XML.Light.Proc
- Text.XML.Light.Input
- Text.XML.Light.Output

Synopsis

- add_attr :: Attr -> Element -> Element
- add_attrs :: [Attr] -> Element -> Element
- unqual :: String -> QName
- class Node t where
  - node :: QName -> t -> Element
- unode :: Node t => String -> t -> Element
- module Text.XML.Light.Types
- module Text.XML.Light.Proc
- module Text.XML.Light.Input
- module Text.XML.Light.Output

# Documentation

add_attr :: Attr -> Element -> Element Source

Add an attribute to an element.

add_attrs :: [Attr] -> Element -> Element Source

Add some attributes to an element.

unqual :: String -> QName Source

Create an unqualified name.

class Node t where Source

A smart element constructor which uses the type of its argument to determine what sort of element to make.

Methods

node :: QName -> t -> Element Source

Instances

Node () |
Node CData |
Node Attr |
Node Element |
Node Content |
Node [Char] |
Node [CData] |
Node [Attr] |
Node [Element] |
Node [Content] |
Node ([Attr], [CData]) |
Node ([Attr], [Element]) |
Node ([Attr], [Content]) |
Node ([Attr], String) |
Node ([Attr], CData) |
Node ([Attr], Element) |
Node ([Attr], Content) |
Node (Attr, String) |
Node (Attr, CData) |
Node (Attr, Element) |
Node (Attr, Content) |

unode :: Node t => String -> t -> Element Source

Create node with unqualified name

module Text.XML.Light.Types

module Text.XML.Light.Proc

module Text.XML.Light.Input

module Text.XML.Light.Output